Subject: Re: [PATCH 1/7] scsi: mpi3mr: replace deprecated strncpy with strscpy

From: Kees Cook <[email-masked]>
Date: Fri, 23 Feb 2024 16:04:21 -0800

On Sat, Feb 24, 2024 at 10:58:07AM +1100, Finn Thain wrote:
> 
> On Fri, 23 Feb 2024, Justin Stitt wrote:
> 
> > Really, there's no bug with the current code. 
> 
> If (hypothetically) you needed to reduce stack size, just copy the char 
> pointer instead of copying the chars onto the stack.
> 
> If (hypothetically) strncpy() was banned altogether (rather than merely 
> deprecated) I would do the same -- but I'm not the maintainer.

I'd agree. This can just be using:

const char *personality;
...
	personality = "RAID";

etc

-- 
Kees Cook